import request from '@/utils/request'

// 查询物资盘点明细列表
export function listMaterialCheckInfo(query) {
  return request({
    url: '/business/materialCheckInfo/list',
    method: 'get',
    params: query
  })
}

// 查询物资盘点明细详细
export function getMaterialCheckInfo(id) {
  return request({
    url: '/business/materialCheckInfo/' + id,
    method: 'get'
  })
}

// 新增物资盘点明细
export function addMaterialCheckInfo(data) {
  return request({
    url: '/business/materialCheckInfo',
    method: 'post',
    data: data
  })
}

// 修改物资盘点明细
export function updateMaterialCheckInfo(data) {
  return request({
    url: '/business/materialCheckInfo',
    method: 'put',
    data: data
  })
}

// 删除物资盘点明细
export function delMaterialCheckInfo(id) {
  return request({
    url: '/business/materialCheckInfo/' + id,
    method: 'delete'
  })
}
